# eric7.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesListAllGuardsDialog

Module implementing a dialog to show all guards for all patches.

### Global Attributes

None

### Classes

HgQueuesListAllGuardsDialog | Class implementing a dialog to show all guards for all patches.

### Functions

None

## HgQueuesListAllGuardsDialog

Class implementing a dialog to show all guards for all patches.

### Derived from

QDialog, Ui_HgQueuesListAllGuardsDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesListAllGuardsDialog | Constructor
start | Public slot to start the list command.

### Static Methods

None

#### HgQueuesListAllGuardsDialog (Constructor)

HgQueuesListAllGuardsDialog(vcs, parent=None)

Constructor

vcs
  reference to the VCS object (Hg)
parent
  reference to the parent widget (QWidget)

#### HgQueuesListAllGuardsDialog.start

start()

Public slot to start the list command.

Up